Bug 1732941 - oc build requires git checkout, but we have tar ball
Summary: oc build requires git checkout, but we have tar ball
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.2.0
Assignee: Tomáš Nožička
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 19:18 UTC by Eric Paris
Modified: 2019-10-16 06:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:33:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:33:43 UTC

Description Eric Paris 2019-07-24 19:18:07 UTC
https://github.com/openshift/oc/blob/master/Makefile#L6-L7 namely:

github.com/openshift/oc/vendor/k8s.io/kubernetes/pkg/version.gitVersion="v1.14.0+724e12f93f"

github.com/openshift/oc/vendor/k8s.io/kubernetes/pkg/version.gitCommit="$(shell git rev-parse --short "HEAD^{commit}" 2>/dev/null)" \

are problematic. The first line, I think depends on the second line. The other problem is that when we do official builds the git commit is set via an env var, because we are building from a tar file, not from a git tree. So we need a way to overwrite...

Comment 1 Tomáš Nožička 2019-07-25 08:23:58 UTC
you are right - line 7 should support env var for ART build (we have already made such changes in the shared build system for regular package version).

The line 6 is hardcoded to the rebase of kube, we wan't to parse it from glide/go mod next time

Comment 2 Tomáš Nožička 2019-07-29 07:59:26 UTC
https://github.com/openshift/oc/pull/31

Comment 4 errata-xmlrpc 2019-10-16 06:33:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.